Api referenceArchitecture
List Intent Patterns
Reference for List Intent Patterns in the Veriom v1 API, including request, response, and authentication details.
GET
/v1/workspaces/{workspace_id}/architecture-intent/patternsList Intent Patterns. Returns a typed response and a request ID for operational support.
veriom_session<token>
Opaque HttpOnly customer session. Mutations also require X-CSRF-Token.
In: cookie
Path Parameters
workspace_id*Workspace Id
Format
uuidResponse Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-intent/patterns"[
{
"accepted_tradeoff": "",
"accountable_role": "Workspace architecture owner",
"applicable_scope": "string",
"assumptions": [
"string"
],
"controls": [
{
"id": "string",
"predicates": [
{
"allowed_source_keys": [
"string"
],
"attribute": "string",
"expected": "string",
"key": "string",
"kind": "entity_present",
"relationship_kinds": [
"string"
],
"required_sources": [
"code"
]
}
],
"title": "string"
}
],
"decision": "string",
"id": "string",
"limitations": [
"string"
],
"published_at": "2026-09-18T12:00:00Z",
"rationale": "string",
"required_sources": [
"code"
],
"review_status": "candidate",
"slots": [
{
"description": "string",
"entity_kind": "string",
"id": "string",
"name": "string"
}
],
"summary": "string",
"title": "string",
"version": "string"
}
]{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}{
"code": "validation_failed",
"detail": "The request body did not match the documented schema.",
"hint": "Correct the fields identified in detail using the operation's request schema.",
"instance": "/v1/audits",
"request_id": "018f6f5d-36a2-7a2d-a8f6-ec1a55c03e45",
"status": 422,
"title": "Validation Failed",
"type": "https://api.veriom.ai/problems/validation_failed"
}Was this guide useful?
Your response stays in this browser unless you open a GitHub issue.